## org.eclipse.datatools.connectivity.sqm.core.rte.fe
Class GenericDdlBuilder

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder

Direct Known Subclasses:
  AbstractDeltaDdlGenProvider, SybaseDdlBuilder

    public class GenericDdlBuilder

extends java.lang.Object

Constructor Summary
`GenericDdlBuilder()`

Method Summary
`java.lang.String` `addCheckConstraint(CheckConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `addForeignKey(ForeignKey foreignKey, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `addUniqueConstraint(UniqueConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `alterTableAddColumn(Column column, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createAssertion(Assertion assertion, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createIndex(Index index, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createProcedure(Procedure procedure, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createSchema(Schema schema, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createTable(BaseTable table, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createTrigger(Trigger trigger, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createUserDefinedFunction(UserDefinedFunction function, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createUserDefinedType(UserDefinedType type, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `createView(ViewTable view, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropAssertion(Assertion assertion, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropFunction(UserDefinedFunction function, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropIndex(Index index, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropProcedure(Procedure procedure, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropSchema(Schema schema, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropTable(BaseTable table, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropTableConstraint(TableConstraint constraint, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropTrigger(Trigger trigger, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropUserDefinedType(UserDefinedType type, boolean quoteIdentifiers, boolean qualifyNames)`
`java.lang.String` `dropView(ViewTable view, boolean quoteIdentifiers, boolean qualifyNames)`
`IEngineeringCallBack` `getEngineeringCallBack()`
`boolean` `isImplicitConstraint(TableConstraint constraint)`
`void` `setEngineeringCallBack(IEngineeringCallBack callback)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericDdlBuilder

    public GenericDdlBuilder()

Method Detail

### setEngineeringCallBack

    public void setEngineeringCallBack(IEngineeringCallBack callback)

### getEngineeringCallBack

    public IEngineeringCallBack getEngineeringCallBack()

### dropTrigger

    public java.lang.String dropTrigger(Trigger trigger,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames)

### dropView

    public java.lang.String dropView(ViewTable view,
                                     boolean quoteIdentifiers,
                                     boolean qualifyNames)

### dropTableConstraint

    public java.lang.String dropTableConstraint(TableConstraint constraint,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### dropIndex

    public java.lang.String dropIndex(Index index,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames)

### dropTable

    public java.lang.String dropTable(BaseTable table,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames)

### dropProcedure

    public java.lang.String dropProcedure(Procedure procedure,
                                          boolean quoteIdentifiers,
                                          boolean qualifyNames)

### dropFunction

    public java.lang.String dropFunction(UserDefinedFunction function,
                                         boolean quoteIdentifiers,
                                         boolean qualifyNames)

### dropSchema

    public java.lang.String dropSchema(Schema schema,
                                       boolean quoteIdentifiers,
                                       boolean qualifyNames)

### dropUserDefinedType

    public java.lang.String dropUserDefinedType(UserDefinedType type,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### dropAssertion

    public java.lang.String dropAssertion(Assertion assertion,
                                          boolean quoteIdentifiers,
                                          boolean qualifyNames)

### createTable

    public java.lang.String createTable(BaseTable table,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames)

### alterTableAddColumn

    public java.lang.String alterTableAddColumn(Column column,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### createView

    public java.lang.String createView(ViewTable view,
                                       boolean quoteIdentifiers,
                                       boolean qualifyNames)

### createIndex

    public java.lang.String createIndex(Index index,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames)

### createTrigger

    public java.lang.String createTrigger(Trigger trigger,
                                          boolean quoteIdentifiers,
                                          boolean qualifyNames)

### createProcedure

    public java.lang.String createProcedure(Procedure procedure,
                                            boolean quoteIdentifiers,
                                            boolean qualifyNames)

### createUserDefinedFunction

    public java.lang.String createUserDefinedFunction(UserDefinedFunction function,
                                                      boolean quoteIdentifiers,
                                                      boolean qualifyNames)

### createSchema

    public java.lang.String createSchema(Schema schema,
                                         boolean quoteIdentifiers,
                                         boolean qualifyNames)

### createUserDefinedType

    public java.lang.String createUserDefinedType(UserDefinedType type,
                                                  boolean quoteIdentifiers,
                                                  boolean qualifyNames)

### createAssertion

    public java.lang.String createAssertion(Assertion assertion,
                                            boolean quoteIdentifiers,
                                            boolean qualifyNames)

### addCheckConstraint

    public java.lang.String addCheckConstraint(CheckConstraint constraint,
                                               boolean quoteIdentifiers,
                                               boolean qualifyNames)

### addUniqueConstraint

    public java.lang.String addUniqueConstraint(UniqueConstraint constraint,
                                                boolean quoteIdentifiers,
                                                boolean qualifyNames)

### addForeignKey

    public java.lang.String addForeignKey(ForeignKey foreignKey,
                                          boolean quoteIdentifiers,
                                          boolean qualifyNames)

### isImplicitConstraint

    public boolean isImplicitConstraint(TableConstraint constraint)